base: 'https://mrizp.rs/'
languages:
  -
    title: Serbian
    enabled: true
    base: /
    typo3Language: sr
    locale: sr_RS.UTF-8
    iso-639-1: sr
    websiteTitle: ''
    navigationTitle: ''
    hreflang: ''
    direction: ''
    flag: global
    languageId: 0
  -
    title: Српски
    enabled: true
    base: /ср/
    typo3Language: rs
    locale: ср_РС.UTF-8
    iso-639-1: sr
    websiteTitle: ''
    navigationTitle: Српски
    hreflang: ср-РС
    direction: ''
    fallbackType: fallback
    fallbacks: '0'
    flag: rs
    languageId: 1
  -
    title: English
    enabled: true
    base: /en/
    typo3Language: en
    locale: en_EN.UTF-8
    iso-639-1: en
    websiteTitle: ''
    navigationTitle: English
    hreflang: en-EN
    direction: ''
    fallbackType: strict
    fallbacks: ''
    flag: en-us-gb
    languageId: 2
  -
    title: Rusioan
    enabled: true
    base: /ru/
    typo3Language: ru
    locale: ru_RU.UTF-8
    iso-639-1: ru
    websiteTitle: ''
    navigationTitle: Russian
    hreflang: ru-RU
    direction: ''
    fallbackType: strict
    fallbacks: '0'
    flag: ru
    languageId: 3
rootPageId: 1
routeEnhancers:
  NewsPlugin:
    type: Extbase
    extension: News
    plugin: Pi1
    routes:
      -
        routePath: '/{news_title}'
        _controller: 'News::detail'
        _arguments:
          news_title: news
    defaultController: 'News::detail'
    aspects:
      news_title:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
        routeValuePrefix: ''
  CategoryPlugin:
    type: Extbase
    extension: Products
    plugin: Products
    routes:
      -
        routePath: '/{category_title}'
        _controller: 'Category::show'
        _arguments:
          category_title: category
      -
        routePath: '/{category_title}'
        _controller: 'Category::list'
        _arguments:
          category_title: category
      -
        routePath: '{category_title}'
        _controller: 'Product::list'
        _arguments:
          category_title: category
      -
        routePath: '{products_title}'
        _controller: 'Product::show'
        _arguments:
          products_title: product
    defaultController: 'Category::show'
    aspects:
      category_title:
        type: PersistedAliasMapper
        tableName: tx_products_domain_model_category
        routeFieldName: slug
        routeValuePrefix: ''
      products_title:
        type: PersistedAliasMapper
        tableName: tx_products_domain_model_product
        routeFieldName: slug
        routeValuePrefix: ''
websiteTitle: ''
